Skip to Content

PATCH /api/v1/watchlist/:id

Update notification preferences for a watchlist entry.

Authentication: Required

Cache: None

Path Parameters

ParameterTypeRequiredDescription
idnumberYesWatchlist entry ID

Request Body

FieldTypeRequiredDescription
notifyOnSalebooleanNoNotify when name is sold
notifyOnOfferbooleanNoNotify on new offers
notifyOnListingbooleanNoNotify when listed
notifyOnPriceChangebooleanNoNotify on price changes
minOfferThresholdnumber | nullNoMinimum offer amount (0+, or null)

At least one field must be provided.

Sample Request

curl -X PATCH -H "Authorization: Bearer YOUR_TOKEN" \ -H "Content-Type: application/json" \ https://api.grails.app/api/v1/watchlist/1 \ -d '{ "notifyOnPriceChange": true }'

Response

// 200 OK { "success": true, "data": { "id": 1, "notifyOnSale": true, "notifyOnOffer": true, "notifyOnListing": true, "notifyOnPriceChange": true, "minOfferThreshold": null }, "meta": { "timestamp": "2026-04-08T00:00:00.000Z", "version": "1.0.0" } }

Error Responses

StatusCodeDescription
400NO_UPDATESNo fields provided
403FORBIDDENEntry belongs to another user
404NOT_FOUNDWatchlist entry not found
Last updated on